Skip to content

Danh sách đánh giá sản phẩm

Giới thiệu

Lấy danh sách đánh giá cho một sản phẩm xác định:

Endpoint API

bash
    POST /product/v1/reviewList

phần thân yêu cầu

TrườngKiểuBắt buộcMô tả
filterobjectKhôngTham số lọc
orderbyarrayKhôngTham số sắp xếp
pageintegerKhôngMặc định: 1
pagesizeintegerKhôngMặc định: 10

Tham số tùy chọn của filter

TrườngKiểuBắt buộcMô tả
product_idstringID sản phẩm

Tham số tùy chọn của orderby

TrườngBắt buộcMô tả
ratingKhôngĐánh giá
review_idKhôngID đánh giá

ví dụ yêu cầu

bash
curl 'https://openapi.fastmoss.com/product/v1/reviewList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "product_id": "1729448464509734958"
    },
    "orderby": {
        "field": "rating",
        "order": "desc"
    },
    # "orderby": {
    #     "field": "review_id",
    #     "order": "desc"
    # },
    "page": 1,
    "pagesize": 10
}'

phần thân phản hồi

data.list

TrườngKiểuMô tả
review_idstringID đánh giá
uidstringID người dùng
sku_idstringID SKU
sku_specificationstringThông số SKU
ratingintĐánh giá
digg_countintSố lượt thích
contentstringNội dung bình luận
create_timetimestampThời gian tạo

data.total

TrườngKiểuMô tả
totalstringTổng số bản ghi

ví dụ phản hồi

json
{
  "code": 0,
  "data": {
    "list": [
      {
          "review_id": "7354810045655336747",
          "sku_id": "1729448464509800494",
          "sku_specification": "Item: Default",
          "rating": 5,
          "digg_count": 0,
          "content": "",
          "create_time": 1712425181310
      },
    ],
    "total": "3809"
  },
  "message": "success",
  "timestamp": 1743573480,
  "request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}